#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

Name:       artikulate
Summary:    Learning software to improve pronunciation skills
Version: 17.12.2
Release:    %mkrel %{rel}
Group:      Graphical desktop/KDE
License:    LGPLv3+ and GPLv2 and BSD
URL:        http://techbase.kde.org/Projects/Edu/Artikulate
Source:     http://download.kde.org/stable/applications/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires: kf5-macros
BuildRequires: kdoctools-devel
BuildRequires: kconfigwidgets-devel
BuildRequires: kcrash-devel
BuildRequires: kdeclarative-devel
BuildRequires: ki18n-devel
BuildRequires: knewstuff-devel
BuildRequires: kwidgetsaddons-devel
BuildRequires: kxmlgui-devel

BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5Sql)
BuildRequires: pkgconfig(Qt5Network)
BuildRequires: pkgconfig(Qt5XmlPatterns)
BuildRequires: pkgconfig(Qt5Qml)
BuildRequires: pkgconfig(Qt5Quick)
BuildRequires: pkgconfig(Qt5QuickWidgets)
BuildRequires: pkgconfig(Qt5Test)
BuildRequires: pkgconfig(Qt5Multimedia)

BuildRequires: pkgconfig(Qt5GStreamer-1.0)
BuildRequires: boost-devel

# conflicts with mga5 packages
Conflicts:      kde-l10n-ar < 17.04.3-1
Conflicts:      kde-l10n-bg < 17.04.3-1
Conflicts:      kde-l10n-bs < 17.04.3-1
Conflicts:      kde-l10n-ca < 17.04.3-1
Conflicts:      kde-l10n-ca-valencia < 17.04.3-1
Conflicts:      kde-l10n-cs < 17.04.3-1
Conflicts:      kde-l10n-da < 17.04.3-1
Conflicts:      kde-l10n-de < 17.04.3-1
Conflicts:      kde-l10n-el < 17.04.3-1
Conflicts:      kde-l10n-en_GB < 17.04.3-1
Conflicts:      kde-l10n-en_US < 17.04.3-1
Conflicts:      kde-l10n-es < 17.04.3-1
Conflicts:      kde-l10n-et < 17.04.3-1
Conflicts:      kde-l10n-eu < 17.04.3-1
Conflicts:      kde-l10n-fa < 17.04.3-1
Conflicts:      kde-l10n-fi < 17.04.3-1
Conflicts:      kde-l10n-fr < 17.04.3-1
Conflicts:      kde-l10n-ga < 17.04.3-1
Conflicts:      kde-l10n-gl < 17.04.3-1
Conflicts:      kde-l10n-he < 17.04.3-1
Conflicts:      kde-l10n-hi < 17.04.3-1
Conflicts:      kde-l10n-hr < 17.04.3-1
Conflicts:      kde-l10n-hu < 17.04.3-1
Conflicts:      kde-l10n-ia < 17.04.3-1
Conflicts:      kde-l10n-id < 17.04.3-1
Conflicts:      kde-l10n-is < 17.04.3-1
Conflicts:      kde-l10n-it < 17.04.3-1
Conflicts:      kde-l10n-ja < 17.04.3-1
Conflicts:      kde-l10n-kk < 17.04.3-1
Conflicts:      kde-l10n-km < 17.04.3-1
Conflicts:      kde-l10n-ko < 17.04.3-1
Conflicts:      kde-l10n-lt < 17.04.3-1
Conflicts:      kde-l10n-lv < 17.04.3-1
Conflicts:      kde-l10n-mr < 17.04.3-1
Conflicts:      kde-l10n-nb < 17.04.3-1
Conflicts:      kde-l10n-nds < 17.04.3-1
Conflicts:      kde-l10n-nl < 17.04.3-1
Conflicts:      kde-l10n-nn < 17.04.3-1
Conflicts:      kde-l10n-pa < 17.04.3-1
Conflicts:      kde-l10n-pl < 17.04.3-1
Conflicts:      kde-l10n-pt < 17.04.3-1
Conflicts:      kde-l10n-pt_BR < 17.04.3-1
Conflicts:      kde-l10n-ro < 17.04.3-1
Conflicts:      kde-l10n-ru < 17.04.3-1
Conflicts:      kde-l10n-sk < 17.04.3-1
Conflicts:      kde-l10n-sl < 17.04.3-1
Conflicts:      kde-l10n-sr < 17.04.3-1
Conflicts:      kde-l10n-sv < 17.04.3-1
Conflicts:      kde-l10n-tr < 17.04.3-1
Conflicts:      kde-l10n-ug < 17.04.3-1
Conflicts:      kde-l10n-uk < 17.04.3-1
Conflicts:      kde-l10n-wa < 17.04.3-1
Conflicts:      kde-l10n-zh_CN < 17.04.3-1
Conflicts:      kde-l10n-zh_TW < 17.04.3-1

Requires:   kqtquickcharts

# Branch Patch (100-200)

# Mageia Patch


%description
Artikulate is a learning software that helps improving pronunciation skills
by listening to native speakers.

%files -f %name.lang
%_kf5_bindir/artikulate
%_kf5_bindir/artikulate_editor
%_kf5_applicationsdir/*.desktop
%_kf5_datadir/artikulate
%_kf5_iconsdir/hicolor/*/*/*
%_sysconfdir/xdg/artikulate.knsrc
%_kf5_datadir/appdata/org.kde.artikulate.appdata.xml
%_kf5_datadir/config.kcfg/artikulate.kcfg
%_qt5_plugindir/artikulate

#------------------------------------------------------------------------------

%package handbook
Summary:   Artikulate handbook
Requires:  %{name} >= %{version}-%{release}
BuildArch: noarch
Group:     Documentation
%description handbook
This package provides artikulate handbook.

%files handbook
%doc %_kf5_docdir/HTML/*/%{name}

#------------------------------------------------------------------------------	

%define artikulatecore_major 0
%define libartikulatecore %mklibname artikulatecore %artikulatecore_major

%package -n %libartikulatecore
Summary: Runtime library for %{name}
Group:   System/Libraries

%description -n %libartikulatecore
Runtime library for %{name}.

%files -n %libartikulatecore
%_kf5_libdir/libartikulatecore.so.%{artikulatecore_major}*

#------------------------------------------------------------------------------	

%define artikulatelearnerprofile_major 0
%define libartikulatelearnerprofile %mklibname artikulatelearnerprofile %artikulatelearnerprofile_major

%package -n %libartikulatelearnerprofile
Summary: Runtime library for %{name}
Group:   System/Libraries

%description -n %libartikulatelearnerprofile
Runtime library for %{name}.

%files -n %libartikulatelearnerprofile
%_kf5_libdir/libartikulatelearnerprofile.so.%{artikulatelearnerprofile_major}*

#------------------------------------------------------------------------------ 

%define artikulatesound_major 0
%define libartikulatesound %mklibname artikulatesound %artikulatesound_major

%package -n %libartikulatesound
Summary: Runtime library for %{name}
Group:   System/Libraries

%description -n %libartikulatesound
Runtime library for %{name}.

%files -n %libartikulatesound
%_kf5_libdir/libartikulatesound.so.%{artikulatesound_major}*

#------------------------------------------------------------------------------

%prep
%setup -q 
%autopatch -p1

%build
export LD=/usr/bin/ld.gold 
%cmake_kf5
%make

%install
%makeinstall_std -C build
rm -f %{buildroot}%{_kf5_libdir}/libartikulate*.so
%find_lang %name


%changelog
* Sat Feb 17 2018 neoclust <neoclust> 17.12.2-1.mga6
+ Revision: 1202194
- New version 17.12.2
- New version 17.12.1

* Wed Mar 08 2017 neoclust <neoclust> 16.12.3-1.mga6
+ Revision: 1089989
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 16.12.0-1.mga6
+ Revision: 1076724
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 16.11.90-1.mga6
+ Revision: 1071941
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 16.08.3-1.mga6
+ Revision: 1067258
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 16.08.2-1.mga6
+ Revision: 1061317
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 16.08.1-1.mga6
+ Revision: 1050584
- New version 16.08.1

* Sun Aug 21 2016 neoclust <neoclust> 16.08.0-1.mga6
+ Revision: 1047513
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 16.04.3-1.mga6
+ Revision: 1039978
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 16.04.1-1.mga6
+ Revision: 1012469
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 16.04.0-1.mga6
+ Revision: 1004259
- New version 16.04.0

* Sun Apr 03 2016 neoclust <neoclust> 16.03.80-1.mga6
+ Revision: 997838
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 15.12.3-1.mga6
+ Revision: 991113
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 15.12.2-1.mga6
+ Revision: 987377
- New version 15.12.2

* Wed Jan 13 2016 neoclust <neoclust> 15.12.1-1.mga6
+ Revision: 922552
- New version 15.12.1

* Sat Dec 19 2015 neoclust <neoclust> 15.12.0-1.mga6
+ Revision: 911986
- New version 15.12.0

* Sat Nov 28 2015 neoclust <neoclust> 15.11.80-1.mga6
+ Revision: 906927
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 15.08.3-1.mga6
+ Revision: 901002
- New version 15.08.3
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 15.08.1-1.mga6
+ Revision: 880820
- New version 15.08.1

* Thu Aug 20 2015 neoclust <neoclust> 15.08.0-1.mga6
+ Revision: 866270
- New version 15.08.0

* Thu Jul 30 2015 lmenut <lmenut> 15.07.80-1.mga6
+ Revision: 859144
- Update to KDE Applications 15.08 Beta

* Sat Jul 18 2015 neoclust <neoclust> 15.04.3-1.mga6
+ Revision: 855143
- New version 15.04.3

* Sun Feb 08 2015 lmenut <lmenut> 4.14.3-1.mga5
+ Revision: 814160
- imported package artikulate

